<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{971EF0FB-2B84-4997-A360-0701954B86B9}</ProjectGuid>
    <RootNamespace>Gorgon</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>NotSet</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>NotSet</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <TargetExt>.lib</TargetExt>
    <TargetName>Gorgon_d</TargetName>
    <OutDir>$(ProjectDir)</OutDir>
    <IntDir>$(ProjectDir)\$(Configuration)\</IntDir>
    <IncludePath>../GGE/;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <TargetExt>.lib</TargetExt>
    <TargetName>Gorgon</TargetName>
    <OutDir>$(ProjectDir)</OutDir>
    <IntDir>$(ProjectDir)\$(Configuration)\</IntDir>
    <IncludePath>../GGE/;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;MSVC;DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <SubSystem>
      </SubSystem>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;MSVC;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <EnableEnhancedInstructionSet>StreamingSIMDExtensions2</EnableEnhancedInstructionSet>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="Base.h" />
    <ClInclude Include="Definitions.h" />
    <ClInclude Include="Extended\Sound.h" />
    <ClInclude Include="File.h" />
    <ClInclude Include="Folder.h" />
    <ClInclude Include="Font.h" />
    <ClInclude Include="Game\Animation.h" />
    <ClInclude Include="Game\BitmapFont.h" />
    <ClInclude Include="Game\FontTheme.h" />
    <ClInclude Include="Game\Pointer.h" />
    <ClInclude Include="Generic\DataArray.h" />
    <ClInclude Include="Generic\Image.h" />
    <ClInclude Include="Link.h" />
    <ClInclude Include="Widgets\BorderData.h" />
    <ClInclude Include="Widgets\Checkbox.h" />
    <ClInclude Include="Widgets\Combobox.h" />
    <ClInclude Include="Widgets\Line.h" />
    <ClInclude Include="Widgets\Listbox.h" />
    <ClInclude Include="Widgets\Panel.h" />
    <ClInclude Include="Widgets\Placeholder.h" />
    <ClInclude Include="Widgets\Rectangle.h" />
    <ClInclude Include="Widgets\ResizableObject.h" />
    <ClInclude Include="Widgets\Slider.h" />
    <ClInclude Include="Widgets\Tabpanel.h" />
    <ClInclude Include="Widgets\Textbox.h" />
    <ClInclude Include="Widgets\WidgetRegistry.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Base.cpp" />
    <ClCompile Include="Extended\ExtendedLoaders.cpp" />
    <ClCompile Include="File.cpp" />
    <ClCompile Include="Folder.cpp" />
    <ClCompile Include="Game\BitmapFont.cpp" />
    <ClCompile Include="Game\GameLoaders.cpp" />
    <ClCompile Include="Generic\GenericLoaders.cpp" />
    <ClCompile Include="Widgets\Checkbox.cpp" />
    <ClCompile Include="Widgets\Panel.cpp" />
    <ClCompile Include="Widgets\Slider.cpp" />
    <ClCompile Include="Widgets\Textbox.cpp" />
    <ClCompile Include="Widgets\WidgetLoaders.cpp" />
    <ClCompile Include="Widgets\WidgetRegistry.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\GGE\GGE.vcxproj">
      <Project>{4bf881ee-d1ae-4e04-82fe-69fe3e8ce643}</Project>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>